## org.eclipse.emf.cdo.server
Interface IQueryContext

    public interface IQueryContext

Since:
  2.0

Method Summary
`boolean` `addResult(java.lang.Object object)` Adds the given object to the results of the associated query.
`long` `getTimeStamp()` The timeStamp of the view or (`CDOCommonView.UNSPECIFIED_DATE` if the view is not an `audit` view.
`IView` `getView()`

Method Detail

### getView

    IView getView()

### getTimeStamp

    long getTimeStamp()

  The timeStamp of the view or (`CDOCommonView.UNSPECIFIED_DATE` if the view is not an `audit` view.

### addResult

    boolean addResult(java.lang.Object object)

  Adds the given object to the results of the associated query.

  Parameters:
    `object` - Support many primitives, CDOID and CDORevision. CDORevision are converted in CDOID and only CDOID are transfered to the client.
  Returns:
    `true` to indicate that more results can be passed subsequently, `false` otherwise (i.e. maxResults has been reached or an asynchronous query has been canceled).

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.